local HomeVJR = ...

-- Register all stone gate set building parts and their properties
HomeVJR:dofile("scripts/building.lua")

-- Register the stone gate set monument
HomeVJR:register({
	DataType = "MONUMENT",
	Id = "HOME_VJR_V3_MONUMENT",
	Name = "HOME_VJR_V3_MONUMENT_NAME",
	Description = "HOME_VJR_V3_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "HOME_VJR_V3_PARTSETLIST_NAME",
	                BuildingPartList = {
                            "BUILDING_PART_HOUSING_SERF_DENSITY_1",
                            "BUILDING_PART_HOUSING_SERF_DENSITY_2",
                            "BUILDING_PART_HOUSING_CITIZEN_DENSITY_2",
		            "HOME_VJR_V3_HOME1_PART",
		            "HOME_VJR_V3_HOME2_PART",
		            "HOME_VJR_V3_HOME3_PART",
		            "HOME_VJR_V3_HOME4_PART",
		            "HOME_VJR_V3_HOME5_PART"
                        }
                }
	},
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})